Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.support.collections
Interface RedisSet<E>

All Superinterfaces:
  BoundKeyOperations<String>, Collection<E>, Iterable<E>, RedisCollection<E>, RedisStore, Set<E>

All Known Implementing Classes:
  DefaultRedisSet

    public interface RedisSet<E>

extends RedisCollection<E>, Set<E>

Redis extension for the `Set` contract. Supports `Set` specific operations backed by Redis operations.

Method Summary
`Set<E>` | `diff(Collection<? extends RedisSet<?>> sets)`
`Set<E>` | `diff(RedisSet<?> set)`
`RedisSet<E>` | `diffAndStore(Collection<? extends RedisSet<?>> sets, String destKey)`
`RedisSet<E>` | `diffAndStore(RedisSet<?> set, String destKey)`
`Set<E>` | `intersect(Collection<? extends RedisSet<?>> sets)`
`Set<E>` | `intersect(RedisSet<?> set)`
`RedisSet<E>` | `intersectAndStore(Collection<? extends RedisSet<?>> sets, String destKey)`
`RedisSet<E>` | `intersectAndStore(RedisSet<?> set, String destKey)`
`Set<E>` | `union(Collection<? extends RedisSet<?>> sets)`
`Set<E>` | `union(RedisSet<?> set)`
`RedisSet<E>` | `unionAndStore(Collection<? extends RedisSet<?>> sets, String destKey)`
`RedisSet<E>` | `unionAndStore(RedisSet<?> set, String destKey)`

Methods inherited from interface org.springframework.data.redis.support.collections.RedisStore
`getOperations`

Methods inherited from interface org.springframework.data.redis.core.BoundKeyOperations
`expire, expireAt, getExpire, getKey, getType, persist, rename`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### intersect

    Set<E> intersect(RedisSet<?> set)

### intersect

    Set<E> intersect(Collection<? extends RedisSet<?>> sets)

### union

    Set<E> union(RedisSet<?> set)

### union

    Set<E> union(Collection<? extends RedisSet<?>> sets)

### diff

    Set<E> diff(RedisSet<?> set)

### diff

    Set<E> diff(Collection<? extends RedisSet<?>> sets)

### intersectAndStore

    RedisSet<E> intersectAndStore(RedisSet<?> set,
                                  String destKey)

### intersectAndStore

    RedisSet<E> intersectAndStore(Collection<? extends RedisSet<?>> sets,
                                  String destKey)

### unionAndStore

    RedisSet<E> unionAndStore(RedisSet<?> set,
                              String destKey)

### unionAndStore

    RedisSet<E> unionAndStore(Collection<? extends RedisSet<?>> sets,
                              String destKey)

### diffAndStore

    RedisSet<E> diffAndStore(RedisSet<?> set,
                             String destKey)

### diffAndStore

    RedisSet<E> diffAndStore(Collection<? extends RedisSet<?>> sets,
                             String destKey)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD